| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
videoAndroid.h File Reference
`#include <ARX/ARVideo/video.h>`
`#include <jni.h>`
Include dependency graph for videoAndroid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | AR_VIDEO_ANDROID_FOCAL_LENGTH_DEFAULT 0.3

## Typedefs
typedef struct _AR2VideoParamAndroidT | AR2VideoParamAndroidT

## Functions
int | ar2VideoDispOptionAndroid (void)
AR2VideoParamAndroidT * | ar2VideoOpenAsyncAndroid (const char *config, void(*callback)(void *), void *userdata)
int | ar2VideoCloseAndroid (AR2VideoParamAndroidT *vid)
int | ar2VideoGetIdAndroid (AR2VideoParamAndroidT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeAndroid (AR2VideoParamAndroidT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatAndroid (AR2VideoParamAndroidT *vid)
AR2VideoBufferT * | ar2VideoGetImageAndroid (AR2VideoParamAndroidT *vid)
int | ar2VideoCapStartAndroid (AR2VideoParamAndroidT *vid)
int | ar2VideoCapStopAndroid (AR2VideoParamAndroidT *vid)
int | ar2VideoGetParamiAndroid (AR2VideoParamAndroidT *vid, int paramName, int *value)
int | ar2VideoSetParamiAndroid (AR2VideoParamAndroidT *vid, int paramName, int value)
int | ar2VideoGetParamdAndroid (AR2VideoParamAndroidT *vid, int paramName, double *value)
int | ar2VideoSetParamdAndroid (AR2VideoParamAndroidT *vid, int paramName, double value)
int | ar2VideoGetParamsAndroid (AR2VideoParamAndroidT *vid, const int paramName, char **value)
int | ar2VideoSetParamsAndroid (AR2VideoParamAndroidT *vid, const int paramName, const char *value)
ARVideoSourceInfoListT * | ar2VideoCreateSourceInfoListAndroid (const char *config_in)
int | ar2VideoGetCParamAsyncAndroid (AR2VideoParamAndroidT *vid, void(*callback)(const ARParam *, void *), void *userdata)
jint | ar2VideoPushInitAndroid (AR2VideoParamAndroidT *vid, C_JNIEnv *env, jobject obj, jint width, jint height, const char *pixelFormat, jint camera_index, jint camera_face)
jint | ar2VideoPushAndroid1 (AR2VideoParamAndroidT *vid, C_JNIEnv *env, jobject obj, jbyteArray buf, jint bufSize)
jint | ar2VideoPushAndroid2 (AR2VideoParamAndroidT *vid, C_JNIEnv *env, jobject obj, jobject buf0, jint buf0PixelStride, jint buf0RowStride, jobject buf1, jint buf1PixelStride, jint buf1RowStride, jobject buf2, jint buf2PixelStride, jint buf2RowStride, jobject buf3, jint buf3PixelStride, jint buf3RowStride)
jint | ar2VideoPushFinalAndroid (AR2VideoParamAndroidT *vid, C_JNIEnv *env, jobject obj)

## Macro Definition Documentation

## ◆ AR_VIDEO_ANDROID_FOCAL_LENGTH_DEFAULT

#define AR_VIDEO_ANDROID_FOCAL_LENGTH_DEFAULT 0.3

## Typedef Documentation

## ◆ AR2VideoParamAndroidT

typedef struct _AR2VideoParamAndroidT AR2VideoParamAndroidT

## Function Documentation

## ◆ ar2VideoCapStartAndroid()

int ar2VideoCapStartAndroid | ( | AR2VideoParamAndroidT * | vid | ) |

## ◆ ar2VideoCapStopAndroid()

int ar2VideoCapStopAndroid | ( | AR2VideoParamAndroidT * | vid | ) |

## ◆ ar2VideoCloseAndroid()

int ar2VideoCloseAndroid | ( | AR2VideoParamAndroidT * | vid | ) |

## ◆ ar2VideoCreateSourceInfoListAndroid()

ARVideoSourceInfoListT * ar2VideoCreateSourceInfoListAndroid | ( | const char * | config_in | ) |

## ◆ ar2VideoDispOptionAndroid()

int ar2VideoDispOptionAndroid | ( | void |  | ) |

## ◆ ar2VideoGetCParamAsyncAndroid()

int ar2VideoGetCParamAsyncAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | void(*)(const ARParam *, void *) | callback,
|  | void * | userdata
| ) |  |

## ◆ ar2VideoGetIdAndroid()

int ar2VideoGetIdAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageAndroid()

AR2VideoBufferT * ar2VideoGetImageAndroid | ( | AR2VideoParamAndroidT * | vid | ) |

## ◆ ar2VideoGetParamdAndroid()

int ar2VideoGetParamdAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiAndroid()

int ar2VideoGetParamiAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsAndroid()

int ar2VideoGetParamsAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatAndroid()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatAndroid | ( | AR2VideoParamAndroidT * | vid | ) |

## ◆ ar2VideoGetSizeAndroid()

int ar2VideoGetSizeAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenAsyncAndroid()

AR2VideoParamAndroidT * ar2VideoOpenAsyncAndroid | ( | const char * | config,
|  | void(*)(void *) | callback,
|  | void * | userdata
| ) |  |

## ◆ ar2VideoPushAndroid1()

jint ar2VideoPushAndroid1 | ( | AR2VideoParamAndroidT * | vid,
|  | C_JNIEnv * | env,
|  | jobject | obj,
|  | jbyteArray | buf,
|  | jint | bufSize
| ) |  |

## ◆ ar2VideoPushAndroid2()

jint ar2VideoPushAndroid2 | ( | AR2VideoParamAndroidT * | vid,
|  | C_JNIEnv * | env,
|  | jobject | obj,
|  | jobject | buf0,
|  | jint | buf0PixelStride,
|  | jint | buf0RowStride,
|  | jobject | buf1,
|  | jint | buf1PixelStride,
|  | jint | buf1RowStride,
|  | jobject | buf2,
|  | jint | buf2PixelStride,
|  | jint | buf2RowStride,
|  | jobject | buf3,
|  | jint | buf3PixelStride,
|  | jint | buf3RowStride
| ) |  |

## ◆ ar2VideoPushFinalAndroid()

jint ar2VideoPushFinalAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | C_JNIEnv * | env,
|  | jobject | obj
| ) |  |

## ◆ ar2VideoPushInitAndroid()

jint ar2VideoPushInitAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | C_JNIEnv * | env,
|  | jobject | obj,
|  | jint | width,
|  | jint | height,
|  | const char * | pixelFormat,
|  | jint | camera_index,
|  | jint | camera_face
| ) |  |

## ◆ ar2VideoSetParamdAndroid()

int ar2VideoSetParamdAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiAndroid()

int ar2VideoSetParamiAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsAndroid()

int ar2VideoSetParamsAndroid | ( | AR2VideoParamAndroidT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |